Upcoming Continuing Education Events

(click any BLUE title for more info;  BLACK indicates event registration not yet open)

Save the date for our upcoming 2020 educational events including: 
2020 PSRC NW Spring Seminar - April 9, 2020 - Erie, PA
2020 PSRC Eastern Regional Conference - April 23-24, 2020 - King of Prussia, PA
Click Here to visit our Continuing education page to view our calendar of upcoming events

2020 PSRC Night @ the
Philadelphia Flyers!

A limited number of tickets are now on sale for the 2020 PSRC Night @ the Philadelphia Flyers set for Thursday, February, 6, 2020 vs the New Jersey Devils.  Tickets are $41 each and are located in section 217A.  Click Here for more information.  Hurry - tickets are available on a first come, first serve basis!

PSRC Well Represented at 2019 AARC Congress!

In addition to THREE student sputum bowl teams competing in the AARC National Student Sputum Bowl, the PSRC was well represented by many other RTs who won awards, presented lectures and posters and more!  Click Here to view two videos and a bunch of pictures from the event!

Partial Ban on Flavored E-Cigarettes Announced

In September, 2019, Trump administration officials announced plans to ban most flavored e-cigarettes.  The administration then announced on January 2nd a new, scaled back version of the ban would soon go into effectClick here to read for about the history of this policy
and
click here to read the AARC's response to it.

Continuing Education Requirement

 

‚Äč

Health care providers in Pennsylvania are required to complete continuing education during each license cycle.  For respiratory therapists, required topics include child abuse recognition and reporting, patient safety and ethics.

 

Additionally some of the continuing education hours must be completed at "live" events. CLICK HERE to review the list of requirements and for links to free continuing education courses!

AARC Online Courses

AARC Adult Critical Care Specialist Course

This site is best viewed with Internet Explorer 11 or higher, Safari 12.0 or Firefox